## kde-spectacle 20.08.2

=== debian/changelog ===
kde-spectacle (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:44 +0100

kde-spectacle (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:33 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.56.0~),
               gettext,
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5dbusaddons-dev (>= 5.56.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5globalaccel-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5kipi-dev (>= 4:20.08.1~),
               libkf5newstuff-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5purpose-dev (>= 5.56.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qdbus-qt5 (>= 5.10.0~),
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with=kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export HOME="$(CURDIR)/debian/home"; \
	    mkdir -p "$$HOME"; \
	    trap EXIT rm -rf "$$HOME"; \
	    dh_auto_test
endif

## kde-spectacle 20.12.3

=== CMakeLists.txt ===

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(SPECTACLE_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
# Spectacle project
project(Spectacle VERSION ${SPECTACLE_VERSION})

set(QT_MIN_VERSION     "5.10.0")
set(KF5_MIN_VERSION    "5.73.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(
    CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
        ${CMAKE_MODULE_PATH}
        ${ECM_MODULE_PATH}
)

# require c++14

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# set up kf5

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMQueryQmake)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)


find_package(
    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Widgets
        DBus
        PrintSupport
        Svg
        Test
)

find_package(
    KF5 ${KF5_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        WindowSystem
        DocTools
        NewStuff
        GlobalAccel
        XmlGui
        Wayland
)

# optional components

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
    set(KIPI_FOUND 1)
endif ()

find_package(KF5Purpose)
if (KF5Purpose_FOUND)
    set(PURPOSE_FOUND 1)
endif()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
set(XCB_COMPONENTS_ERRORS FALSE)
if (XCB_FOUND)
	find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
endif()
set(XCB_COMPONENTS_FOUND TRUE)
if(NOT XCB_XFIXES_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-XFIXES ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_IMAGE_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-IMAGE ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_UTIL_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-UTIL ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_CURSOR_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-CURSOR ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()

find_package(kImageAnnotator)

if(kImageAnnotator_FOUND)
    find_package(X11 REQUIRED)
    find_package(kColorPicker REQUIRED)
    set(KIMAGEANNOTATOR_FOUND 1)
endif()

# fail build if none of the platform backends can be found
if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currently supported platforms are: XCB Components Required: ${XCB_COMPONENTS_ERRORS}")
endif()

# locate qdbus in the Qt path because not every distro makes a symlink at /usr/bin/qdbus
query_qmake(QtBinariesDir QT_INSTALL_BINS)

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(tests)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES spectacle.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES spectacle.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()
# summaries

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== dbus/CMakeLists.txt ===
# install the DBus service and interface files in the correct place
include(ECMGenerateDBusServiceFile)
include(ECMConfiguredInstall)

# Generate and install dbus-activated systemd service
ecm_install_configured_files(INPUT app-org.kde.spectacle.service.in DESTINATION ${SYSTEMD_USER_UNIT_INSTALL_DIR})

ecm_generate_dbus_service_file(
   NAME org.kde.Spectacle
   EXECUTABLE "${CMAKE_INSTALL_PREFIX}/bin/spectacle --dbus"
   SYSTEMD_SERVICE app-org.kde.spectacle.service
   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

install(FILES org.kde.Spectacle.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== desktop/CMakeLists.txt ===
# install the .desktop and rc files in the correct place

configure_file(org.kde.spectacle.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop)
install(
    PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
install(
    CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \"${KDE_INSTALL_FULL_APPDIR}/org.kde.spectacle.desktop\" \"\$ENV{DESTDIR}${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel/org.kde.spectacle.desktop\")"
)

install(
    FILES spectacle.notifyrc
    DESTINATION ${KNOTIFYRC_INSTALL_DIR}
)

install(
    FILES org.kde.spectacle.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

install(
    FILES spectacle_shortcuts.upd
    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(
    FILES spectacle_newConfig.upd
    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
add_executable(spectacle-migrate-shortcuts MigrateShortcuts.cpp)
target_link_libraries(spectacle-migrate-shortcuts Qt5::DBus KF5::GlobalAccel KF5::ConfigCore KF5::XmlGui KF5::I18n)
install(
    TARGETS spectacle-migrate-shortcuts
    DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin
)

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.73.0~),
               gettext,
               libkcolorpicker-dev,
               libkimageannotator-dev,
               libkf5config-dev (>= 5.73.0~),
               libkf5coreaddons-dev (>= 5.73.0~),
               libkf5dbusaddons-dev (>= 5.73.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.73.0~),
               libkf5globalaccel-dev (>= 5.73.0~),
               libkf5i18n-dev (>= 5.73.0~),
               libkf5kio-dev (>= 5.73.0~),
               libkf5kipi-dev,
               libkf5newstuff-dev (>= 5.73.0~),
               libkf5notifications-dev (>= 5.73.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5widgetsaddons-dev (>= 5.73.0~),
               libkf5windowsystem-dev (>= 5.73.0~),
               libkf5xmlgui-dev (>= 5.73.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libqt5svg5-dev (>= 5.10.0~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qdbus-qt5 (>= 5.10.0~),
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 21.08.1

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.73.0~),
               gettext,
               libkcolorpicker-dev,
               libkf5config-dev (>= 5.73.0~),
               libkf5coreaddons-dev (>= 5.73.0~),
               libkf5dbusaddons-dev (>= 5.73.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.73.0~),
               libkf5globalaccel-dev (>= 5.73.0~),
               libkf5i18n-dev (>= 5.73.0~),
               libkf5kio-dev (>= 5.73.0~),
               libkf5kipi-dev,
               libkf5newstuff-dev (>= 5.73.0~),
               libkf5notifications-dev (>= 5.73.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.73.0~),
               libkf5widgetsaddons-dev (>= 5.73.0~),
               libkf5windowsystem-dev (>= 5.73.0~),
               libkf5xmlgui-dev (>= 5.73.0~),
               libkimageannotator-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,25 @@
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(SPECTACLE_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
-set(QT_MIN_VERSION     "5.10.0")
+set(QT_MIN_VERSION     "5.15.0")
 set(KF5_MIN_VERSION    "5.73.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(
-    CMAKE_MODULE_PATH
-        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
-        ${CMAKE_MODULE_PATH}
-        ${ECM_MODULE_PATH}
-)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-# require c++14
+# require c++17
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
@@ -39,13 +34,15 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 include(ECMQueryQmake)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)
-
 
 find_package(
     Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
         Core
+        Concurrent
         Widgets
         DBus
         PrintSupport
@@ -111,7 +108,14 @@
     find_package(X11 REQUIRED)
     find_package(kColorPicker REQUIRED)
     set(KIMAGEANNOTATOR_FOUND 1)
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
+        set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+    endif()
 endif()
+
+# add the spectacle.upd file
+install(FILES conf/update/spectacle_clipboard.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
+install(FILES conf/update/50-clipboard_settings_change.py DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
 
 # fail build if none of the platform backends can be found
 if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
@@ -130,14 +134,16 @@
 add_subdirectory(doc)
 add_subdirectory(tests)
 
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES spectacle.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES spectacle.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+
 # summaries
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 ki18n_install(po)
 if (KF5DocTools_FOUND)
  kdoctools_install(po)

=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 configure_file(org.kde.spectacle.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop)
 install(
     PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spectacle.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_APPDIR}
 )
 
 install( DIRECTORY DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/kglobalaccel" )
@@ -13,7 +13,7 @@
 
 install(
     FILES spectacle.notifyrc
-    DESTINATION ${KNOTIFYRC_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}
 )
 
 install(
@@ -26,12 +26,18 @@
     DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
 )
 install(
+    FILES spectacle_rememberregion.upd
+    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
+)
+install(
     FILES spectacle_newConfig.upd
     DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
 )
 add_executable(spectacle-migrate-shortcuts MigrateShortcuts.cpp)
-target_link_libraries(spectacle-migrate-shortcuts Qt5::DBus KF5::GlobalAccel KF5::ConfigCore KF5::XmlGui KF5::I18n)
+target_link_libraries(spectacle-migrate-shortcuts Qt::DBus KF5::GlobalAccel KF5::ConfigCore KF5::XmlGui KF5::I18n)
+add_executable(spectacle-migrate-rememberregion MigrateRememberRegion.cpp)
+target_link_libraries(spectacle-migrate-rememberregion KF5::ConfigCore KF5::XmlGui)
 install(
-    TARGETS spectacle-migrate-shortcuts
+    TARGETS spectacle-migrate-shortcuts spectacle-migrate-rememberregion
     DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin
 )

=== icons/CMakeLists.txt ===
# default icons for the hicolor theme.
# have ecm install them

ecm_install_icons(
    ICONS
        16-apps-spectacle.png
        22-apps-spectacle.png
        32-apps-spectacle.png
        48-apps-spectacle.png
        sc-apps-spectacle.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/CMakeLists.txt ===
# common - configure file and version definitions

configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)

# target

kconfig_add_kcfg_files(SPECTACLE_SRCS Gui/SettingsDialog/settings.kcfgc)

ecm_qt_declare_logging_category(SPECTACLE_SRCS HEADER spectacle_core_debug.h IDENTIFIER SPECTACLE_CORE_LOG CATEGORY_NAME org.kde.spectacle.core DESCRIPTION "spectacle (core)" EXPORT SPECTACLE)
ecm_qt_declare_logging_category(SPECTACLE_SRCS HEADER spectacle_gui_debug.h IDENTIFIER SPECTACLE_GUI_LOG CATEGORY_NAME org.kde.spectacle.gui DESCRIPTION "spectacle (gui)" EXPORT SPECTACLE)

add_executable(spectacle
    ${SPECTACLE_SRCS}
    Main.cpp
    ExportManager.cpp
    SpectacleCore.cpp
    SpectacleDBusAdapter.cpp
    ShortcutActions.cpp
    Gui/KSMainWindow.cpp
    Gui/KSWidget.cpp
    Gui/KSImageWidget.cpp
    Gui/ExportMenu.cpp
    Gui/ProgressButton.cpp
    Gui/SmartSpinBox.cpp
    Gui/SettingsDialog/SaveOptionsPage.cpp
    Gui/SettingsDialog/SettingsDialog.cpp
    Gui/SettingsDialog/GeneralOptionsPage.cpp
    Gui/SettingsDialog/ShortcutsOptionsPage.cpp
    QuickEditor/QuickEditor.cpp
    Platforms/PlatformLoader.cpp
    Platforms/Platform.cpp
    Platforms/PlatformNull.cpp
    Platforms/PlatformKWinWayland.cpp
    Platforms/PlatformKWinWayland2.cpp

    ExportManager.h
    SpectacleCore.h
    SpectacleDBusAdapter.h
    ShortcutActions.h
    Gui/KSMainWindow.h
    Gui/KSWidget.h
    Gui/KSImageWidget.h
    Gui/ExportMenu.h
    Gui/ProgressButton.h
    Gui/SmartSpinBox.h
    Gui/SettingsDialog/SaveOptionsPage.h
    Gui/SettingsDialog/SettingsDialog.h
    Gui/SettingsDialog/GeneralOptionsPage.h
    Gui/SettingsDialog/ShortcutsOptionsPage.h
    QuickEditor/QuickEditor.h
    Platforms/PlatformLoader.h
    Platforms/Platform.h
    Platforms/PlatformNull.h
    Platforms/PlatformKWinWayland.h
    Platforms/PlatformKWinWayland2.h
    )

if(XCB_FOUND)
    target_sources(spectacle PRIVATE Platforms/PlatformXcb.cpp Platforms/PlatformXcb.h)

    target_link_libraries(spectacle
        XCB::XFIXES
        XCB::IMAGE
        XCB::CURSOR
        XCB::UTIL
        Qt::X11Extras
    )
endif()

if(KIPI_FOUND)
    target_sources(spectacle PRIVATE
        KipiInterface/KSGKipiInterface.cpp
        KipiInterface/KSGKipiImageCollectionShared.cpp
        KipiInterface/KSGKipiInfoShared.cpp
        KipiInterface/KSGKipiImageCollectionSelector.cpp
        KipiInterface/KSGKipiInterface.h
        KipiInterface/KSGKipiImageCollectionShared.h
        KipiInterface/KSGKipiInfoShared.h
        KipiInterface/KSGKipiImageCollectionSelector.h
    )

    target_link_libraries(spectacle KF5::Kipi)
endif()

if(PURPOSE_FOUND)
    target_link_libraries(spectacle KF5::PurposeWidgets)
endif()

if(KIMAGEANNOTATOR_FOUND)
    target_link_libraries(spectacle kImageAnnotator::kImageAnnotator)
endif()

ki18n_wrap_ui(spectacle Gui/SettingsDialog/GeneralOptions.ui Gui/SettingsDialog/SaveOptions.ui)

target_link_libraries(
    spectacle
        Qt::Concurrent
        Qt::DBus
        Qt::PrintSupport
        KF5::CoreAddons
        KF5::DBusAddons
        KF5::WidgetsAddons
        KF5::Notifications
        KF5::ConfigCore
        KF5::I18n
        KF5::KIOWidgets
        KF5::WindowSystem
        KF5::NewStuff
        KF5::GlobalAccel
        KF5::XmlGui
        KF5::WaylandClient
)

install(TARGETS spectacle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:20:40 +0000

kde-spectacle (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:27:15 +0000

kde-spectacle (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:35:06 +0000

kde-spectacle (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:32:06 +0000

kde-spectacle (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:14:55 +0000

kde-spectacle (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:29 +0000

kde-spectacle (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Refresh patch: fix-%t-pattern-in-fullscreen-captures

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:49 +0000

kde-spectacle (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
            Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -17,7 +18,7 @@
                libkf5globalaccel-dev (>= 5.73.0~),
                libkf5i18n-dev (>= 5.73.0~),
                libkf5kio-dev (>= 5.73.0~),
-               libkf5kipi-dev,
+               libkf5kipi-dev (>= 4:21.12.3~),
                libkf5newstuff-dev (>= 5.73.0~),
                libkf5notifications-dev (>= 5.73.0~),
                libkf5purpose-dev (>= 5.73.0~),
@@ -40,8 +41,8 @@
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.0
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 Rules-Requires-Root: no
 
 Package: kde-spectacle

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with=kf5

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/spectacle-([\d.]+)\.tar\.xz

## kde-spectacle 22.08.1

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkcolorpicker-dev,
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5kipi-dev,
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libkimageannotator-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 22.12.0

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                libkf5windowsystem-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libkimageannotator-dev,
-               libqt5svg5-dev (>= 5.15.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
+               libqt5svg5-dev (>= 5.15.2~),
+               libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxcb-cursor-dev,
                libxcb-image0-dev,
@@ -37,7 +37,7 @@
                libxcb-xfixes0-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/spectacle

## kde-spectacle 22.12.1

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/spectacle
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git

## kde-spectacle 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -11,23 +11,20 @@
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
-set(QT_MIN_VERSION     "5.15.0")
-set(KF5_MIN_VERSION    "5.73.0")
+set(QT_MIN_VERSION     "5.15.2")
+set(KF5_MIN_VERSION    "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-# require c++17
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_EXTENSIONS OFF)
-
-# set up kf5
+# set up standard kde build settings
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+# used cmake macros
+
 include(ECMInstallIcons)
 include(ECMSetupVersion)
 include(FeatureSummary)
@@ -37,10 +34,10 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)
+# find dependencies
 
 find_package(
-    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
+    Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
         Core
         Concurrent
         Widgets
@@ -60,20 +57,18 @@
         I18n
         KIO
         WindowSystem
-        DocTools
         NewStuff
         GlobalAccel
         XmlGui
         Wayland
+        GuiAddons
 )
-
 # optional components
-
-find_package(KF5Kipi)
-if (KF5Kipi_FOUND)
-    set(KIPI_FOUND 1)
-endif ()
-
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+    "Tools to generate documentation"
+    TYPE OPTIONAL
+)
 find_package(KF5Purpose)
 if (KF5Purpose_FOUND)
     set(PURPOSE_FOUND 1)
@@ -82,7 +77,9 @@
 find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
 set(XCB_COMPONENTS_ERRORS FALSE)
 if (XCB_FOUND)
-	find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
+    endif()
 endif()
 set(XCB_COMPONENTS_FOUND TRUE)
 if(NOT XCB_XFIXES_FOUND)
@@ -102,14 +99,21 @@
 	set(XCB_COMPONENTS_FOUND FALSE)
 endif()
 
-find_package(kImageAnnotator)
-
+if (QT_MAJOR_VERSION STREQUAL "5") # For the moment kImageAnnotator is not ported to qt6
+    find_package(kImageAnnotator)
+endif()
 if(kImageAnnotator_FOUND)
     find_package(X11 REQUIRED)
     find_package(kColorPicker REQUIRED)
     set(KIMAGEANNOTATOR_FOUND 1)
     if(NOT kImageAnnotator_VERSION VERSION_LESS 0.5.0)
         set(KIMAGEANNOTATOR_CAN_LOAD_TRANSLATIONS 1)
+    endif()
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.6.0)
+        set(KIMAGEANNOTATOR_HAS_EXTRA_TOOLS 1)
+    endif()
+    if(NOT kImageAnnotator_VERSION VERSION_LESS 0.6.1)
+        set(KIMAGEANNOTATOR_HAS_FIXED_SIZEHINT 1)
     endif()
 endif()
 
@@ -123,7 +127,19 @@
 endif()
 
 # locate qdbus in the Qt path because not every distro makes a symlink at /usr/bin/qdbus
-query_qmake(QtBinariesDir QT_INSTALL_BINS)
+if (QT_MAJOR_VERSION EQUAL "5")
+    query_qmake(QtBinariesDir QT_INSTALL_BINS)
+else()
+    MESSAGE(STATUS "need to find QtBinariesDir")
+endif()
+# setup handling of deprecated Qt & KF API
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050c00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
 
 # hand off to subdirectories
 
@@ -131,8 +147,13 @@
 add_subdirectory(dbus)
 add_subdirectory(desktop)
 add_subdirectory(icons)
-add_subdirectory(doc)
 add_subdirectory(tests)
+
+if (KF5DocTools_FOUND)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+ki18n_install(po)
 
 ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
@@ -144,7 +165,3 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 install(
     FILES spectacle.notifyrc
-    DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR}
+    DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR}
 )
 
 install(

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Aurélien COUDERC <coucouf@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libkcolorpicker-dev,
@@ -36,7 +36,6 @@
                libxcb-util-dev,
                libxcb-xfixes0-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
@@ -48,7 +47,7 @@
 Package: kde-spectacle
 Section: graphics
 Architecture: any
-Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends}
+Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends},
 Description: Screenshot capture utility
  Spectacle captures images of the screen. It can capture the whole screen,
  a specified region, an individual window, or only part of a window.

## kde-spectacle 23.03.70~git20230206.a3c04c69

=== debian/changelog ===
kde-spectacle (23.03.70~git20230206.a3c04c69-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230206.a3c04c69).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Feb 2023 23:07:59 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.101.0~),
               gettext,
               kirigami2-dev (>= 5.101.0~),
               libkcolorpicker-dev,
               libkf5config-dev (>= 5.101.0~),
               libkf5coreaddons-dev (>= 5.101.0~),
               libkf5dbusaddons-dev (>= 5.101.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.101.0~),
               libkf5globalaccel-dev (>= 5.101.0~),
               libkf5guiaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5kio-dev (>= 5.101.0~),
               libkf5kipi-dev,
               libkf5newstuff-dev (>= 5.101.0~),
               libkf5notifications-dev (>= 5.101.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.92.0~),
               libkf5widgetsaddons-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               libkf5xmlgui-dev (>= 5.101.0~),
               libkimageannotator-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 23.04.2

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.104.0~),
               gettext,
               kirigami2-dev (>= 5.104.0~),
               libkcolorpicker-dev,
               libkf5config-dev (>= 5.104.0~),
               libkf5coreaddons-dev (>= 5.104.0~),
               libkf5dbusaddons-dev (>= 5.104.0~),
               libkf5doctools-dev (>= 5.104.0~),
               libkf5globalaccel-dev (>= 5.104.0~),
               libkf5guiaddons-dev (>= 5.104.0~),
               libkf5i18n-dev (>= 5.104.0~),
               libkf5kio-dev (>= 5.104.0~),
               libkf5notifications-dev (>= 5.104.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5widgetsaddons-dev (>= 5.104.0~),
               libkf5windowsystem-dev (>= 5.104.0~),
               libkf5xmlgui-dev (>= 5.104.0~),
               libkimageannotator-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libwayland-dev,
               plasma-wayland-protocols,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 23.08.0

=== debian/changelog ===
kde-spectacle (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:12 +0100

kde-spectacle (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:36 +0100

kde-spectacle (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:20 +0100

kde-spectacle (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refreshed patch fix-%t-pattern-in-fullscreen-captures
  * Update Build-Depends:
    - add kirigami2-dev
    - add libkpipewire-dev
    - add libpipewire-0.3-dev
    - add libqt5waylandclient5-dev
    - add plasma-wayland-protocols
    - add qtbase5-private-dev
    - add qtquickcontrols2-5-dev
    - add qtwayland5-dev-tools
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:04:06 +0100

kde-spectacle (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:19 +0000

kde-spectacle (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:40 -0600

kde-spectacle (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:27 +0000

kde-spectacle (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Bump Gear build deps to 22.12.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:59:38 +0000

kde-spectacle (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:12 +0000

kde-spectacle (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:22 +0000

kde-spectacle (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:57:05 +0000

kde-spectacle (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:18:02 +0000

kde-spectacle (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:38 +0100

kde-spectacle (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:44 +0100

kde-spectacle (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:01 +0100

kde-spectacle (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:11:43 +0100

kde-spectacle (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:11:07 +0100

kde-spectacle (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:11 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kirigami2-dev,
               libkcolorpicker-dev,
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5kipi-dev (>= 4:23.08.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5purpose-dev (>= 5.73.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libkimageannotator-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev,
               qtwayland5-dev-tools,
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qdbus-qt5 (>= 5.15.0~), ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 23.08.1

=== debian/changelog ===
kde-spectacle (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:19 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5kipi-dev (>= 4:23.08.0~),
+               libkf5kipi-dev (>= 4:23.08.1~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5purpose-dev (>= 5.73.0~),

## kde-spectacle 23.08.4

=== debian/changelog ===
kde-spectacle (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:31 +0000

kde-spectacle (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:58 +0000

kde-spectacle (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5guiaddons-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5kipi-dev (>= 4:23.08.1~),
+               libkf5kipi-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5purpose-dev (>= 5.73.0~),
